---
title: Deal API
description: "The **Deal API** allows third-party developers to search for and retrieve details about eBay deals and events, as well as the items associated with those deals and events. **Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg \"Limited Release\")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html)."
api_version: v1.3.0
api_name: deal_api
api_type: REST
api_group: buy/deal_api
source_url:
  html: https://developer.ebay.com/develop/api/buy/deal_api
  md: https://developer.ebay.com/develop/api/buy/deal_api.md
---

# Deal API API

The **Deal API** allows third-party developers to search for and retrieve details about eBay deals and events, as well as the items associated with those deals and events.

**Note:** This is a [![](https://developer.ebay.com/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/api-docs/buy/static/buy-requirements.html).

## API Information

**Title:** Deal API
**Version:** v1.3.0
**Description:** **Note:** This is a [![Limited Release](/cms/img/docs/partners-api.svg "Limited Release")(Limited Release)](https://developer.ebay.com/api-docs/static/versioning.html#limited) API available only to select developers approved by business units. For information on how to obtain access to this API in production, see the [Buy APIs Requirements](/../api-docs/buy/static/buy-requirements.html).  
  
This API allows third-party developers to search for and retrieve details about eBay deals and events, as well as the items associated with those deals and events.
**Base Path:** /buy/deal/v1

## API Methods

The following API methods are available:

### getDealItems

#### GET /deal_item
**Description:** This method retrieves a paginated set of deal items. The result set contains all deal items associated with the specified search criteria and marketplace ID.  
  
This method can return a maximum of 10,000 items. For a list of supported sites and other restrictions, see [Buy API Requirements](/api-docs/buy/static/buy-requirements.html).  
  
**eBay Partner Network:** In order to receive a commission for your sales, you must use the URL returned in the `itemAffiliateWebUrl` field to forward your buyer to the ebay.com site.
**Parameters:**
- **category_ids** (string)
  - This query parameter specifies the unique identifier of the eBay category for the search.  
  
For details see [Get Categories for Buy APIs](/api-docs/buy/buy-categories.html).
- **commissionable** (string)
  - This query parameter allows the response to filter by commissionable items.  
  
If set to `true`, only commissionable items will be returned in the response. If set to `false`, commissionable items will **not** be returned in the response.  
  
**Note:** This filter is currently only supported for the US marketplace.
- **delivery_country** (string)
  - This query parameter allows the response to only return items that can be shipped to the specified country (2-digit ISO code).
- **limit** (string)
  - The maximum number of items, from the current result set, returned on a single page.
- **offset** (string)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for supported marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is required to support revenue sharing for eBay Partner Network and to improve the accuracy of shipping and delivery time estimations.  
  
For additional information, refer to [Use request headers](/api-docs/buy/static/api-browse.html#Headers) section of the Buying Integration Guide.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.deal`


### getEvent

#### GET /event/{event_id}
**Description:** This method retrieves the details for an eBay event. The result set contains detailed information associated with the specified event ID, such as applicable coupons, start and end dates, and event terms.  
  
This method can return a maximum of 10,000 items. For a list of supported sites and other restrictions, see [Buy API Requirements](/api-docs/buy/static/buy-requirements.html).  
  
**eBay Partner Network:** In order to receive a commission for your sales, you must use the URL returned in the `itemAffiliateWebUrl` field to forward your buyer to the ebay.com site.
**Parameters:**
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for supported marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is required to support revenue sharing for eBay Partner Network and to improve the accuracy of shipping and delivery time estimations.  
  
For additional information, refer to [Use request headers](/api-docs/buy/static/api-browse.html#Headers) section of the Buying Integration Guide.
- **event_id** (string) *required*
  - This path parameters specifies the unique identifier for the eBay event being retrieved.  
  
Use the [getEvents](/develop/api/buy/deal_api#buy-deal_api-event-getevents) method to retrieve event IDs.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.deal`


### getEvents

#### GET /event
**Description:** This method returns paginated results containing all eBay events for the specified marketplace.  
  
This method can return a maximum of 10,000 items. For a list of supported sites and other restrictions, see [Buy API Requirements](/api-docs/buy/static/buy-requirements.html).  
  
**eBay Partner Network:** In order to receive a commission for your sales, you must use the URL returned in the `itemAffiliateWebUrl` field to forward your buyer to the ebay.com site.
**Parameters:**
- **limit** (string)
  - The maximum number of items, from the current result set, returned on a single page.  
  
**Default:** `20`  
  
**Maximum Value:** `100`
- **offset** (string)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for supported marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is required to support revenue sharing for eBay Partner Network and to improve the accuracy of shipping and delivery time estimations.  
  
For additional information, refer to [Use request headers](/api-docs/buy/static/api-browse.html#Headers) section of the Buying Integration Guide.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.deal`


### getEventItems

#### GET /event_item
**Description:** This method returns a paginated set of event items. The result set contains all event items associated with the specified search criteria and marketplace ID.  
  
This method can return a maximum of 10,000 items. For a list of supported sites and other restrictions, see [Buy API Requirements](/api-docs/buy/static/buy-requirements.html).  
  
**eBay Partner Network:** In order to receive a commission for your sales, you must use the URL returned in the `itemAffiliateWebUrl` field to forward your buyer to the ebay.com site.
**Parameters:**
- **category_ids** (string)
  - This query parameter specifies the unique identifiers of the eBay categories for the search.  
  
For details see [Get Categories for Buy APIs](/api-docs/buy/buy-categories.html).  
  
**Maximum Value:** `1`
- **delivery_country** (string)
  - This query parameter allows the response to only return items that can be shipped to the specified country (2-digit ISO code).
- **event_ids** (string) *required*
  - This query parameter specifies the unique identifiers for the eBay event items being retrieved.  
  
Use the [getEvents](/develop/api/buy/deal_api#buy-deal_api-event-getevents) method to retrieve event IDs.  
  
**Maximum Value:** `1`
- **limit** (string)
  - The maximum number of items, from the current result set, returned on a single page.  
  
**Default:** `20`
- **offset** (string)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **X-EBAY-C-MARKETPLACE-ID** (string) *required*
  - This header identifies the eBay marketplace.  
  
See [HTTP request headers](</api-docs/static/rest-request-components.html#marketpl >) for supported marketplace ID values.
- **X-EBAY-C-ENDUSERCTX** (string)
  - This header is required to support revenue sharing for eBay Partner Network and to improve the accuracy of shipping and delivery time estimations.  
  
For additional information, refer to [Use request headers](/api-docs/buy/static/api-browse.html#Headers) section of the Buying Integration Guide.
**OAuth scope**

This request requires an access token created with the **Client Credentials Grant** flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

**Required Scopes:**

**Client Credentials Grant:**

- `https://api.ebay.com/oauth/api_scope/buy.deal`


## Error Codes

The following error codes may be returned by this API:

### REQUEST Errors

#### 180001 - API_DEAL
**Description:** Invalid, missing or unsupported marketplace. Please refer to documentation.

#### 180002 - API_DEAL
**Description:** The specified limit is invalid. Maximum value supported is 100.

#### 180003 - API_DEAL
**Description:** The specified offset is invalid.

#### 180005 - API_DEAL
**Description:** category\_ids length exceeded. Please check documentation for maximum values supported.

#### 180007 - API_DEAL
**Description:** Invalid or unsupported filter 'commissionable' for the requested marketplace. Please refer to documentation.

#### 180010 - API_DEAL
**Description:** Invalid filter for 'delivery\_country'. Please refer to the documentation for supported values.

#### 180009 - API_DEAL
**Description:** Not authorized. Please contact developer support for assistance.

#### 180004 - API_DEAL
**Description:** The event Id is invalid for the requested marketplace.

#### 180006 - API_DEAL
**Description:** event\_ids length exceeded. Maximum supported is one.

#### 180008 - API_DEAL
**Description:** Missing eventId. Please provide a valid event Id for the marketplace.

### APPLICATION Errors

#### 180000 - API_DEAL
**Description:** There was a problem with an eBay internal system or process. Contact eBay developer support for assistance.

## Types

### Amount
**Description:** This type defines the currency and value of the item.
**Type:** object

**Properties:**
- **currency** (CurrencyCodeEnum)
  - The three-letter [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) code representing the currency of the amount in the **value** field.  
  
**Default:** The currency of the authenticated user's country.
- **value** (string)
  - The monetary value, in the currency specified by the **currency** field.

### Coupon
**Description:** This type defines the details for the coupon available for the item.
**Type:** object

**Properties:**
- **redemptionCode** (string)
  - The coupon code.
- **terms** (Terms)
  - The terms of use associated with the coupon.

### CurrencyCodeEnum
**Description:** This enumerated type lists the three-letter [ISO 4217](<https://www.iso.org/iso-4217-currency-codes.html > "https://www.iso.org ") code representing the supported world currencies. | - **AED**: United Arab Emirates dirham - **AFN**: Afghan afghani - **ALL**: Albanian lek - **AMD**: Armenian dram - **ANG**: Netherlands Antillean guilder - **AOA**: Angolan kwanza - **ARS**: Argentine peso - **AUD**: Australian dollar - **AWG**: Aruban florin - **AZN**: Azerbaijani manat - **BAM**: Bosnia and Herzegovina convertible mark - **BBD**: Barbados dollar - **BDT**: Bangladeshi taka - **BGN**: Bulgarian lev - **BHD**: Bahraini dinar - **BIF**: Burundian franc - **BMD**: Bermudian dollar - **BND**: Brunei dollar - **BOB**: Bolivian Boliviano - **BRL**: Brazilian real - **BSD**: Bahamian dollar - **BTN**: Bhutanese ngultrum - **BWP**: Botswana pula - **BYR**: Belarusian ruble - **BZD**: Belize dollar - **CAD**: Canadian dollar - **CDF**: Congolese franc - **CHF**: Swiss franc - **CLP**: Chilean peso - **CNY**: Chinese yuan renminbi - **COP**: Colombian peso - **CRC**: Costa Rican colon - **CUP**: Cuban peso - **CVE**: Cape Verde escudo - **CZK**: Czech koruna - **DJF**: Djiboutian franc - **DKK**: Danish krone - **DOP**: Dominican peso - **DZD**: Algerian dinar - **EGP**: Egyptian pound - **ERN**: Eritrean nakfa - **ETB**: Ethiopian birr - **EUR**: European Union euro - **FJD**: Fiji dollar - **FKP**: Falkland Islands pound - **GBP**: British pound sterling - **GEL**: Georgian lari - **GHS**: Ghanaian cedi - **GIP**: Gibraltar pound - **GMD**: Gambian dalasi - **GNF**: Guinean franc - **GTQ**: Guatemalan quetzal - **GYD**: Guyanese dollar - **HKD**: Hong Kong dollar - **HNL**: Honduran lempira - **HRK**: Croatian kuna - **HTG**: Haitian gourde - **HUF**: Hungarian forint - **IDR**: Indonesian rupiah - **ILS**: Israeli new shekel - **INR**: Indian rupee - **IQD**: Iraqi dinar - **IRR**: Iranian rial - **ISK**: Icelandic krona - **JMD**: Jamaican dollar - **JOD**: Jordanian dinar - **JPY**: Japanese yen - **KES**: Kenyan shilling - **KGS**: Kyrgyzstani som - **KHR**: Cambodian riel - **KMF**: Comoro franc - **KPW**: North Korean won - **KRW**: South Korean won - **KWD**: Kuwaiti dinar - **KYD**: Cayman Islands dollar - **KZT**: Kazakhstani tenge - **LAK**: Lao kip - **LBP**: Lebanese pound - **LKR**: Sri Lankan rupee - **LRD**: Liberian dollar - **LSL**: Lesotho loti - **LTL**: Lithuanian litas - **LYD**: Libyan dinar - **MAD**: Moroccan dirham - **MDL**: Moldovan leu - **MGA**: Malagasy ariary - **MKD**: Macedonian denar - **MMK**: Myanmar kyat - **MNT**: Mongolian tugrik - **MOP**: Macanese pataca - **MRO**: Mauritanian ouguiya - **MUR**: Mauritian rupee - **MVR**: Maldivian rufiyaa - **MWK**: Malawian kwacha - **MXN**: Mexican peso - **MYR**: Malaysian ringgit - **MZN**: Mozambican metical - **NAD**: Namibian dollar - **NGN**: Nigerian naira - **NIO**: Nicaraguan cordoba oro - **NOK**: Norwegian krone - **NPR**: Nepalese rupee - **NZD**: New Zealand dollar - **OMR**: Omani rial - **PAB**: Panamanian balboa - **PEN**: Peruvian sol - **PGK**: Papua New Guinean kina - **PHP**: Philippine peso - **PKR**: Pakistani rupee - **PLN**: Polish zloty - **PYG**: Paraguayan guarani - **QAR**: Qatari riyal - **RON**: Romanian leu - **RSD**: Serbian dinar - **RUB**: Russian ruble - **RWF**: Rwandan franc - **SAR**: Saudi riyal - **SBD**: Solomon Islands dollar - **SCR**: Seychelles rupee - **SDG**: Sudanese pound - **SEK**: Swedish krona - **SGD**: Singapore dollar - **SHP**: Saint Helena pound - **SLL**: Sierra Leonean leone - **SOS**: Somali shilling - **SRD**: Surinamese dollar - **STD**: Sao Tome and Principe dobra - **SYP**: Syrian pound - **SZL**: Swazi lilangeni - **THB**: Thai baht - **TJS**: Tajikistani somoni - **TMT**: Turkmenistani manat - **TND**: Tunisian dinar - **TOP**: Tongan pa'anga - **TRY**: Turkish lira - **TTD**: Trinidad and Tobago dollar - **TWD**: New Taiwan dollar - **TZS**: Tanzanian shilling - **UAH**: Ukrainian hryvnia - **UGX**: Ugandan shilling - **USD**: United States dollar - **UYU**: Uruguayan peso - **UZS**: Uzbekistani som - **VEF**: Venezuelan bolivar - **VND**: Vietnamese dong - **VUV**: Vanuatu vatu - **WST**: Samoan tala - **XAF**: CFA franc BEAC - **XCD**: East Caribbean dollar - **XOF**: CFA franc BCEAO - **XPF**: CFP franc - **YER**: Yemeni rial - **ZAR**: South African rand - **ZMW**: Zambian kwacha - **ZWL**: Zimbabwean dollar
**Type:** object

### DealItem
**Description:** This type defines the detailed data returned for the deal item.
**Type:** object

**Properties:**
- **additionalImages** (array)
  - The additional images for the deal item.
- **categoryAncestorIds** (array)
  - The IDs of the ancestors for the primary category.
- **categoryId** (string)
  - The ID of the leaf category for the deal item. A leaf category is the lowest level in a category and has no children.
- **commissionable** (boolean)
  - A boolean value specifying whether the listing has commission.
- **dealAffiliateWebUrl** (string)
  - The deal associated with the item with affiliate attribution.
- **dealEndDate** (string)
  - The date after which the deal ends.
- **dealStartDate** (string)
  - The date on which the deal starts.
- **dealWebUrl** (string)
  - The web URL for the deal associated with the item.
- **energyEfficiencyClass** (string)
  - A string value specifying the Energy Efficiency class.
- **image** (Image)
  - The primary image for the deal item.
- **itemAffiliateWebUrl** (string)
  - The item web URL with affiliate attribution.
- **itemGroupId** (string)
  - The unique identifier for the deal item group. This is the parent item ID for the seller-defined variations.  
  
**Note:** This field is returned for multiple-SKU items.
- **itemGroupType** (ItemGroupTypeEnum)
  - An enumeration value that indicates the type of item group. An item group contains items that have various aspect differences, such as color, size, or storage capacity.
- **itemId** (string)
  - The unique identifier for the deal item.  
  
**Note:** This field is only returned for single-SKU items.
- **itemWebUrl** (string)
  - The web URL for the deal item.
- **legacyItemId** (string)
  - The legacy item ID associated with the deal item.
- **marketingPrice** (MarketingPrice)
  - The original price for the deal item, and the discount amount and percentage.
- **price** (Amount)
  - The price for the deal item.  
  
**Note:** The price does include the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see the VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **qualifiedPrograms** (array)
  - A list of programs applicable to the item.
- **shippingOptions** (array)
  - The cost required to ship the deal item.  
  
**Note:** For items with calculated shipping, this array is only returned if the **X-EBAY-C-ENDUSERCTX** header is supplied.
- **title** (string)
  - The title of the deal item.
- **unitPrice** (Amount)
  - The price per unit for the deal item. Some European countries require listings for certain types of products to include the price per unit so that buyers can accurately compare prices.  
  
For example:  
  
`"unitPricingMeasure": "100g",   "unitPrice": {     "value": "7.99",     "currency": "GBP"`
- **unitPricingMeasure** (string)
  - The designation used to specify the quantity of the deal item, such as size, weight, volume, and count. This helps buyers compare prices.  
  
For example, the following tells the buyer that the item is 7.99 per 100 grams.  
  
`"unitPricingMeasure": "100g",   "unitPrice": {     "value": "7.99",     "currency": "GBP"`

### DealItemSearchResponse
**Description:** This type defines the result set for the deal item search.
**Type:** object

**Properties:**
- **dealItems** (array)
  - A list of deal items that match the search criteria.
- **href** (string)
  - The relative path to the current set of results.
- **limit** (integer)
  - The maximum number of items, from the current result set, returned on a single page.  
  
**Default:** `20`
- **next** (string)
  - The relative path to the next set of results.
- **offset** (integer)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **prev** (string)
  - The relative path to the previous set of results.
- **total** (integer)
  - The total number of matches for the search criteria.

### Event
**Description:** This type defines the result set for the event search.
**Type:** object

**Properties:**
- **applicableCoupons** (array)
  - A list of coupons associated with the event.
- **description** (string)
  - The event description.
- **endDate** (string)
  - The end date for the event.
- **eventAffiliateWebUrl** (string)
  - The URL of the View Event page for the event, which includes the affiliate tracking ID.
- **eventId** (string)
  - The unique identifier for the event.
- **eventWebUrl** (string)
  - The web URL for the event.
- **images** (array)
  - The images for the event.
- **startDate** (string)
  - The start date for the event.
- **terms** (Terms)
  - The terms associated with the event.
- **title** (string)
  - The title of the event.

### EventItem
**Description:** This type defines the detailed data returned for the event item.
**Type:** object

**Properties:**
- **additionalImages** (array)
  - The additional images for the event item.
- **categoryAncestorIds** (array)
  - The IDs of the ancestors for the primary category.
- **categoryId** (string)
  - The ID of the leaf category for the event item. A leaf category is the lowest level in a category and has no children.
- **energyEfficiencyClass** (string)
  - A string value specifying the Energy Efficiency class.
- **eventId** (string)
  - The unique event identifier associated with the item.
- **image** (Image)
  - The image for the event item.
- **itemAffiliateWebUrl** (string)
  - The item web URL with affiliate attribution.
- **itemGroupId** (string)
  - The unique identifier for the event item group. This is the parent item ID for the seller-defined variations.  
  
**Note:** This field is returned for multiple-SKU items.
- **itemGroupType** (ItemGroupTypeEnum)
  - An enumeration value that indicates the type of item group. An item group contains items that have various aspect differences, such as color, size, or storage capacity.
- **itemId** (string)
  - The unique identifier for the event item.  
  
**Note:** This field is only returned for single-SKU items.
- **itemWebUrl** (string)
  - The web URL for the event item.
- **legacyItemId** (string)
  - The legacy item ID associated with the event item.
- **marketingPrice** (MarketingPrice)
  - The original price for the event item, and the discount amount and percentage.
- **price** (Amount)
  - The applicable price for the event item.
- **qualifiedPrograms** (array)
  - A list of programs applicable to the event item.
- **shippingOptions** (array)
  - The cost required to ship the event item.  
  
**Note:** For items with calculated shipping, this array is only returned if the **X-EBAY-C-ENDUSERCTX** header is supplied.
- **title** (string)
  - The title of the event item.
- **unitPrice** (Amount)
  - The price per unit for the event item. Some European countries require listings for certain types of products to include the price per unit so that buyers can accurately compare prices.  
  
For example:  
  
`"unitPricingMeasure": "100g",   "unitPrice": {     "value": "7.99",     "currency": "GBP"`
- **unitPricingMeasure** (string)
  - The designation used to specify the quantity of the event item, such as size, weight, volume, and count. This helps buyers compare prices.  
  
For example, the following tells the buyer that the item is 7.99 per 100 grams.  
  
`"unitPricingMeasure": "100g",   "unitPrice": {     "value": "7.99",     "currency": "GBP"`

### EventItemSearchResponse
**Description:** This type defines the result set for the event item search.
**Type:** object

**Properties:**
- **eventItems** (array)
  - A list of event items that match the search criteria.
- **href** (string)
  - The relative path to the current set of results.
- **limit** (integer)
  - The maximum number of items, from the current result set, returned on a single page.  
  
**Default:** `20`
- **next** (string)
  - The relative path to the next set of results.
- **offset** (integer)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **prev** (string)
  - The relative path to the previous set of results.
- **total** (integer)
  - The total number of matches for the specified search criteria.

### EventSearchResponse
**Description:** This type defines the result set for the specified event search criteria.
**Type:** object

**Properties:**
- **events** (array)
  - A list of results that match the search criteria.
- **href** (string)
  - The relative path to the current set of results.
- **limit** (integer)
  - The maximum number of items, from the current result set, returned on a single page.  
  
**Default:** `20`
- **next** (string)
  - The relative path to the next set of results.
- **offset** (integer)
  - The number of items that will be skipped in the result set. This is used with the **limit** field to control the pagination of the output.  
  
For example, if the **offset** is set to `0` and the **limit** is set to `10`, the method will retrieve items 1 through 10 from the list of items returned. If the **offset** is set to `10` and the **limit** is set to `10`, the method will retrieve items 11 through 20 from the list of items returned.  
  
**Default:** `0`
- **prev** (string)
  - The relative path to the previous set of results.
- **total** (integer)
  - The total number of matches for the specified search criteria.

### Image
**Description:** The type that defines the details of an image, such as size and URL.
**Type:** object

**Properties:**
- **height** (string)
  - The height of the image.
- **imageUrl** (string)
  - The relative path to the image location.
- **text** (string)
  - The text associated with the image.
- **width** (string)
  - The width of the image.

### ItemGroupTypeEnum
**Description:** An enumerated type for the values that represent the type of the item group. An item group contains items that have various aspect differences, such as color, size, or storage capacity.  
  
Code so that your app gracefully handles any future changes to this list. | - **SELLER_DEFINED_VARIATIONS**: This enum value indicates that this group was created by the seller. Currently, this is the only value supported.
**Type:** object

### MarketingPrice
**Description:** A type that describes the seller discount.
**Type:** object

**Properties:**
- **discountAmount** (Amount)
  - The monetary value of the seller discount.
- **discountPercentage** (string)
  - The percentage of the seller discount based on the value returned in the **originalPrice** field.
- **originalPrice** (Amount)
  - The monetary value of the item prior to the discount.
- **priceTreatment** (PriceTreatmentEnum)
  - The pricing treatment (discount) that was applied to the price of the item.  
  
**Note:** The pricing treatment affects how and where the discounted price can be displayed.

### PriceTreatmentEnum
**Description:** An enumerated type for the values that represent a discount type. | - **MINIMUM_ADVERTISED_PRICE**: This enumeration value indicates that the price treatment is Minimum Advertised Price (MAP). This is the lowest price at which the item is allowed to be advertised/shown and can be shown only after the item has been added to the cart. - **LIST_PRICE**: This enumeration value indicates that the price treatment is Strike Through Pricing (STP). For this treatment, the seller listing price (which is crossed off/struck through) and the discounted price are shown. - **MARKDOWN**: This enumeration value indicates that the price treatment is a markdown. The price before the markdown (Was price) is shown, as well as the discounted price. This item is part of a seller promotion and has an end date.
**Type:** object

### ProgramEnum
**Description:** An enumerated type for the values that represent a program type. | - **EBAY_PLUS**: This enumeration value indicates that the item is eligible for eBay Plus benefits.
**Type:** object

### ShippingOption
**Description:** This type defines the details provided for the shipping provider, such as shipping cost and type.
**Type:** object

**Properties:**
- **shippingCost** (Amount)
  - The final shipping cost for all items after all discounts are applied.  
  
**Note:** The price does include the value-added tax (VAT) for applicable jurisdictions when requested from supported marketplaces. In this case, users must pass the [`X-EBAY-C-MARKETPLACE-ID`](/api-docs/static/rest-request-components.html#HTTP) request header specifying the supported marketplace (such as `EBAY_GB`) to see the VAT-inclusive pricing. For more information on VAT, refer to [VAT Obligations in the EU](https://www.ebay.co.uk/help/listings/default/vat-obligations-eu?id=4650&st=12&pos=1&query=Your%20VAT%20obligations%20in%20the%20EU&intent=VAT).
- **shippingCostType** (string)
  - The class of the shipping cost.  
  
**Valid Values:** `FIXED` or `CALCULATED`  
  
Code so that your app gracefully handles any future changes to this list.

### Terms
**Description:** This type defines the terms for the event, provided in a full-text description and summary.
**Type:** object

**Properties:**
- **fullText** (string)
  - A full-text description of the terms.
- **summary** (string)
  - A summarized description of the terms.

## Rate Limits

See [API Call Limits](https://developer.ebay.com/develop/get-started/api-call-limits) on the eBay Developer Program.

## Resources

### Documentation

- [eBay Developer Program](https://developer.ebay.com/)
- [API Documentation](https://developer.ebay.com/develop/api/)
- [SDKs and Widgets](https://developer.ebay.com/develop/sdks-and-widgets)
- [Developer Community Forum](https://community.ebay.com/t5/Developer-Groups/ct-p/developergroup)

### Tools

- [API Explorer](https://developer.ebay.com/my/api_test_tool)
- [GraphQL Explorer](https://developer.ebay.com/my/graphql_explorer)

### Support

- [Developer Support](https://developer.ebay.com/support/)
- [API Status](https://developer.ebay.com/support/api-status)
- [Release Notes](https://developer.ebay.com/develop/api/release_notes/)

---
*Generated on 2026-06-10T18:26:58.150Z*